# The Events Calendar

Welcome to the official git repository for [The Events Calendar](http://wordpress.org/plugins/the-events-calendar/), a WordPress plugin developed by the team at [Modern Tribe](https://theeventscalendar.com/the-team/).

Please feel free to fork this repository and submit pull requests!

-----

We do have some guidelines that you should keep in mind while working with this repository:

1. **We have an internal release cycle and review pull requests once per cycle.** Unfortunately we can't guarantee a regular schedule for our review process, but please know that while it may take 1-2 months (at the most) before we review your request, we WILL review it.

2. **Please submit a detailed description with your pull request.** If we can't figure out what you're submitting, then we may close your request.

3. **We do not accept or handle support issues or bug reports here.** You may notice that we have disabled the Issues tab on this GitHub project. Please submit bug reports at [WordPress.org](http://wordpress.org/support/plugin/the-events-calendar). If you have purchased any of our premium add-ons, you may create an account and submit support requests at our [Premium Support Forums](http://m.tri.be/kj).

4. **Please fork the highest numbered release branch (ex. `release/120`) and submit your pull requests against that branch.** This is the branch with the latest code we are working on. Pull requests to the master branch can't be merged automatically and may be closed.

5. **When developing apply `define('SCRIPT_DEBUG', true)` in your wp-config.php**. This will load unminified versions of our js assets and give you some debugging information in your dev console.

6. **Make yourself familiar with the dev folder, its readme and run the appropriate Grunt tasks before committing**. Js minification, css minification, debug code removal, linting and more should be performed as you develop. Its all done with the grunt tasks defined in the dev folder.

7. **Lastly: We don't recommend using the develop branch on production sites!** You’re welcome to give it a shot, but it is totally unrecommended - and we cannot provide any support if things go wrong. You’re on your own if you run develop code on your site.

That's all! please have fun and code responsibly :)

## Further Information

* **Official Release**: http://wordpress.org/plugins/the-events-calendar/
* **Readme**: https://github.com/moderntribe/the-events-calendar/blob/develop/readme.txt
* **Website**: https://theeventscalendar.com/product/wordpress-events-calendar/
* **Support**: https://theeventscalendar.com/support
* **Documentation**: https://theeventscalendar.com/functions/
